Loading...
Searching...
No Matches
line_width.c File Reference

GRASS cairo display driver - set line width. More...

`#include <grass/gis.h>`
`#include "cairodriver.h"`
Include dependency graph for cairodriver/line_width.c:

Go to the source code of this file.

## Macros

#define | MIN_WIDTH 1

## Functions

void | Cairo_Line_width (double width)
| Set line width.

## Detailed Description

GRASS cairo display driver - set line width.

(C) 2007-2008 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/line_width.c.

## Macro Definition Documentation

## MIN_WIDTH

#define MIN_WIDTH 1

Definition at line 18 of file cairodriver/line_width.c.

Referenced by Cairo_Line_width().

## Function Documentation

## Cairo_Line_width()

void Cairo_Line_width | ( | double | width | ) |

Set line width.

Parameters

  width | line width (double precision)

Definition at line 27 of file cairodriver/line_width.c.

References cairo, G_debug(), MAX, and MIN_WIDTH.

Referenced by Cairo_Driver().